org.apache.storm.generated

## Class DistributedRPCInvocations.Processor.failRequestV2<I extends DistributedRPCInvocations.Iface>

- java.lang.Object
- - org.apache.storm.thrift.ProcessFunction<I,DistributedRPCInvocations.failRequestV2_args>
  - - org.apache.storm.generated.DistributedRPCInvocations.Processor.failRequestV2<I>

- Enclosing class:
    DistributedRPCInvocations.Processor<I extends DistributedRPCInvocations.Iface>

      public static class DistributedRPCInvocations.Processor.failRequestV2<I extends DistributedRPCInvocations.Iface>
      extends org.apache.storm.thrift.ProcessFunction<I,DistributedRPCInvocations.failRequestV2_args>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `failRequestV2()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DistributedRPCInvocations.failRequestV2_args` | `getEmptyArgsInstance()`
    `DistributedRPCInvocations.failRequestV2_result` | `getResult(I iface, DistributedRPCInvocations.failRequestV2_args args)`
    `protected boolean` | `isOneway()`
    `protected boolean` | `rethrowUnhandledExceptions()`

    - ### Methods inherited from class org.apache.storm.thrift.ProcessFunction

      `getMethodName, process`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### failRequestV2

          public failRequestV2()

  - ### Method Detail

    - #### getEmptyArgsInstance

          public DistributedRPCInvocations.failRequestV2_args getEmptyArgsInstance()

      Specified by:
        `getEmptyArgsInstance` in class `org.apache.storm.thrift.ProcessFunction<I extends DistributedRPCInvocations.Iface,DistributedRPCInvocations.failRequestV2_args>`

    - #### isOneway

          protected boolean isOneway()

      Specified by:
        `isOneway` in class `org.apache.storm.thrift.ProcessFunction<I extends DistributedRPCInvocations.Iface,DistributedRPCInvocations.failRequestV2_args>`

    - #### rethrowUnhandledExceptions

          protected boolean rethrowUnhandledExceptions()

      Overrides:
        `rethrowUnhandledExceptions` in class `org.apache.storm.thrift.ProcessFunction<I extends DistributedRPCInvocations.Iface,DistributedRPCInvocations.failRequestV2_args>`

    - #### getResult

          public DistributedRPCInvocations.failRequestV2_result getResult(I iface,
                                                                          DistributedRPCInvocations.failRequestV2_args args)
                                                                   throws org.apache.storm.thrift.TException

      Specified by:
        `getResult` in class `org.apache.storm.thrift.ProcessFunction<I extends DistributedRPCInvocations.Iface,DistributedRPCInvocations.failRequestV2_args>`
      Throws:
        `org.apache.storm.thrift.TException`

Copyright © 2021 The Apache Software Foundation. All rights reserved.